Libargus API Libargus Camera API

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions
Argus::InterfaceID Class Reference

A unique identifier for a libargus Interface. More...

`#include <Types.h>`

Inheritance diagram for Argus::InterfaceID:

List of all members.

## Public Member Functions
| InterfaceID (uint32_t time_low_, uint16_t time_mid_, uint16_t time_hi_and_version_, uint16_t clock_seq_, uint8_t c0, uint8_t c1, uint8_t c2, uint8_t c3, uint8_t c4, uint8_t c5, const char *name)
| InterfaceID ()
Public Member Functions inherited from Argus::NamedUUID
| NamedUUID (uint32_t time_low_, uint16_t time_mid_, uint16_t time_hi_and_version_, uint16_t clock_seq_, uint8_t c0, uint8_t c1, uint8_t c2, uint8_t c3, uint8_t c4, uint8_t c5, const char *name)
| NamedUUID (const NamedUUID &copied)
NamedUUID & | operator= (const NamedUUID &copied)
bool | operator== (const NamedUUID &compared) const
bool | operator!= (const NamedUUID &compared) const
const char * | getName () const
Public Member Functions inherited from Argus::UUID
bool | operator== (const UUID &r) const
bool | operator< (const UUID &r) const

## Detailed Description

A unique identifier for a libargus Interface.

Definition at line 300 of file Types.h.

## Constructor & Destructor Documentation

Argus::InterfaceID::InterfaceID | ( | uint32_t | time_low_,
|  | uint16_t | time_mid_,
|  | uint16_t | time_hi_and_version_,
|  | uint16_t | clock_seq_,
|  | uint8_t | c0,
|  | uint8_t | c1,
|  | uint8_t | c2,
|  | uint8_t | c3,
|  | uint8_t | c4,
|  | uint8_t | c5,
|  | const char * | name
| ) |  |
| inline

Definition at line 303 of file Types.h.

Argus::InterfaceID::InterfaceID | ( |  | ) |
| inline

Definition at line 313 of file Types.h.

The documentation for this class was generated from the following file:

- include/Argus/Types.h